Subject: Re: [PATCH] ARM: pxa: fix regulator related build fail in magician_defconfig

From: Mark Brown <[email-masked]>
Date: Wed, 14 Mar 2012 12:32:36 +0000

On Wed, Mar 14, 2012 at 08:30:07AM -0400, Paul Gortmaker wrote:
> On 12-03-14 04:38 AM, Haojian Zhuang wrote:

> > How do you think about Mark's comments? Use dev_name() at here.

> I'm not sure I quite understand you.  I'd looked up the
> structs and got their respective value that would be
> returned by dev_name(), which is what I thought was
> requested of me.

Yes, that's what you should do.  Calling dev_name() is only possible if
you have the struct device and removing the need for the struct device
is exactly what we're trying to avoid here.